<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iQuestStateFactory Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iQuestStateFactory Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iQuestStateFactory" --><!-- doxytag: inherits="iBase" -->
<p>A representation of a quest state in a quest factory.  
 <a href="structiQuestStateFactory.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="questmanager_8h_source.html">tools/questmanager.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iQuestStateFactory:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiQuestStateFactory.png" usemap="#iQuestStateFactory_map" alt=""/>
  <map id="iQuestStateFactory_map" name="iQuestStateFactory_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,120,24"/>
</map>
 </div></div>

<p><a href="structiQuestStateFactory-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuestStateFactory.html#afe02392e106c273d2d95bf72fbd53dcb">AddExitRewardFactory</a> (<a class="el" href="structiRewardFactory.html">iRewardFactory</a> *reward_fact)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a new reward to be fired on state exit.  <a href="#afe02392e106c273d2d95bf72fbd53dcb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuestStateFactory.html#a6437a8222a10bcdcecd740e843eafc30">AddInitRewardFactory</a> (<a class="el" href="structiRewardFactory.html">iRewardFactory</a> *reward_fact)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a new reward to be fired on state initialization.  <a href="#a6437a8222a10bcdcecd740e843eafc30"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <br class="typebreak"/>
<a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuestStateFactory.html#a724803df85a3af7178732714a0dff6a8">CreateTriggerResponseFactory</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a new trigger response.  <a href="#a724803df85a3af7178732714a0dff6a8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuestStateFactory.html#af3844944d5bc4e07904f8a8105b0999c">GetName</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the name of this state.  <a href="#af3844944d5bc4e07904f8a8105b0999c"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A representation of a quest state in a quest factory. </p>
<p>A state is basically a collection of trigger response factories. </p>

<p>Definition at line <a class="el" href="questmanager_8h_source.html#l00110">110</a> of file <a class="el" href="questmanager_8h_source.html">questmanager.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="afe02392e106c273d2d95bf72fbd53dcb"></a><!-- doxytag: member="iQuestStateFactory::AddExitRewardFactory" ref="afe02392e106c273d2d95bf72fbd53dcb" args="(iRewardFactory *reward_fact)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiQuestStateFactory.html#afe02392e106c273d2d95bf72fbd53dcb">iQuestStateFactory::AddExitRewardFactory</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiRewardFactory.html">iRewardFactory</a> *&#160;</td>
          <td class="paramname"><em>reward_fact</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add a new reward to be fired on state exit. </p>

</div>
</div>
<a class="anchor" id="a6437a8222a10bcdcecd740e843eafc30"></a><!-- doxytag: member="iQuestStateFactory::AddInitRewardFactory" ref="a6437a8222a10bcdcecd740e843eafc30" args="(iRewardFactory *reward_fact)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiQuestStateFactory.html#a6437a8222a10bcdcecd740e843eafc30">iQuestStateFactory::AddInitRewardFactory</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiRewardFactory.html">iRewardFactory</a> *&#160;</td>
          <td class="paramname"><em>reward_fact</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add a new reward to be fired on state initialization. </p>

</div>
</div>
<a class="anchor" id="a724803df85a3af7178732714a0dff6a8"></a><!-- doxytag: member="iQuestStateFactory::CreateTriggerResponseFactory" ref="a724803df85a3af7178732714a0dff6a8" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a>* <a class="el" href="structiQuestStateFactory.html#a724803df85a3af7178732714a0dff6a8">iQuestStateFactory::CreateTriggerResponseFactory</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a new trigger response. </p>

</div>
</div>
<a class="anchor" id="af3844944d5bc4e07904f8a8105b0999c"></a><!-- doxytag: member="iQuestStateFactory::GetName" ref="af3844944d5bc4e07904f8a8105b0999c" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiQuestStateFactory.html#af3844944d5bc4e07904f8a8105b0999c">iQuestStateFactory::GetName</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the name of this state. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>tools/<a class="el" href="questmanager_8h_source.html">questmanager.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
